# TdApi.MessageInteractionInfo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageInteractionInfo

Package it.tdlight.jni

# Class TdApi.MessageInteractionInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageInteractionInfo

Enclosing class:
  TdApi

    public static class TdApi.MessageInteractionInfo
    extends TdApi.Object

Contains information about interactions with a message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `forwardCount` | Number of times the message was forwarded.
`TdApi.MessageReplyInfo` | `replyInfo` | Contains information about direct or indirect replies to the message; may be null.
`int` | `viewCount` | Number of times the message was viewed.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageInteractionInfo()` | Contains information about interactions with a message.
`MessageInteractionInfo​(int viewCount, int forwardCount, TdApi.MessageReplyInfo replyInfo)` | Contains information about interactions with a message.
`MessageInteractionInfo​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### viewCount

public int viewCount
Number of times the message was viewed.

### forwardCount

public int forwardCount
Number of times the message was forwarded.

### replyInfo

public TdApi.MessageReplyInfo replyInfo
Contains information about direct or indirect replies to the message; may be null. Currently, available only in channels with a discussion supergroup and discussion supergroups for messages, which are not replies itself.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageInteractionInfo

public MessageInteractionInfo()
Contains information about interactions with a message.

### MessageInteractionInfo

public MessageInteractionInfo​(int viewCount, int forwardCount, TdApi.MessageReplyInfo replyInfo)
Contains information about interactions with a message.

Parameters:
  `viewCount` - int Number of times the message was viewed.
  `forwardCount` - int Number of times the message was forwarded.
  `replyInfo` - MessageReplyInfo Contains information about direct or indirect replies to the message; may be null. Currently, available only in channels with a discussion supergroup and discussion supergroups for messages, which are not replies itself.

### MessageInteractionInfo

public MessageInteractionInfo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`